#ifndef _FLASH_WRITER_H_
#define _FLASH_WRITER_H_

#include <stdint.h>

void flash_writer_enable_access(void);

void flash_writer_perform_mass_erase(void);

uint32_t flash_writer_get_flash_size(void);

uint32_t flash_writer_get_base_address(void);

int flash_writer_write_to_memory(void *dest, const void *src, uint32_t size);

#endif /* _FLASH_WRITER_H_ */
